> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-6-1/connectors/shop-floor-connectors/siemens-simatic-s7/s7connection.md).

# Siemens S7 Connection Properties

## `host` (string, required)

IP Address or hostname of the PLC to connect to

Example: `"192.168.2.60"`

## `port` (integer, required)

Port of the s7 device

Default: `102`

Example: `102`

## `rack` (integer)

The rack index, as part of the addressing scheme for SIMATIC PLCs. This may be fixed depending on your PLC.

Default: `0`

Example: `0`

## `slot` (integer)

The slot index, as part of the addressing scheme for SIMATIC PLCs. This may be fixed depending on your PLC.

Default: `1`

Example: `1`

## `pollInterval` (integer)

The polling interval for reading data. This is implemented as a best-effort polling, if reading is slower than the interval, you should expect that data is coming at a slightly lower rate.

Default: `1000`

Example: `2000`

## `probeInterval` (integer)

Interval to check if connection is still there

Default: `2000`

Example: `2000`

## `writingHighWaterMark` (integer)

Defines a threshold for the internal write queue. When reached, a warning is issued.

Default: `100`

Example: `1000`

Additional restrictions:

* Minimum: `1`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cybus.io/2-6-1/connectors/shop-floor-connectors/siemens-simatic-s7/s7connection.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
